using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class ProfileUsage : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
    }

    protected void btnLogInOut_Click(object sender, EventArgs e)
    {
        if (this.User.Identity.IsAuthenticated)
        {
            this.lblMessage.Text = this.User.Identity.Name + " logged out.";
            FormsAuthentication.SignOut();
        }
        else
        {
            this.lblMessage.Text = this.txtUserName.Text + " logged in";
            FormsAuthentication.SetAuthCookie(this.txtUserName.Text, false);
        }
    }

    protected void btnShowProfile_Click(object sender, EventArgs e)
    {
        if (this.Profile.Age == 0) // no profile
        {
            this.txtName.Text = "";
            this.txtAge.Text = "";
            this.txtEmail.Text = "";
            this.txtCity.Text = "";
            this.txtStreet.Text = "";
            this.txtPostalCode.Text = "";

            this.lblMessage.Text = this.User.Identity.Name + ": No Profile";
        }
        else
        {
            this.txtName.Text = this.Profile.Name;
            this.txtAge.Text = this.Profile.Age.ToString();
            this.txtEmail.Text = this.Profile.Email;
            this.txtCity.Text = this.Profile.Address.City;
            this.txtStreet.Text = this.Profile.Address.Street;
            this.txtPostalCode.Text = this.Profile.Address.PostalCode;

            this.lblMessage.Text = this.User.Identity.Name + ": Profile Loaded";
        }
    }

    protected void btnSaveProfile_Click(object sender, EventArgs e)
    {
        this.Profile.Name = this.txtName.Text;
        this.Profile.Age = Int32.Parse(this.txtAge.Text);
        this.Profile.Email = this.txtEmail.Text;
        this.Profile.Address.City = this.txtCity.Text;
        this.Profile.Address.Street = this.txtStreet.Text;
        this.Profile.Address.PostalCode = this.txtPostalCode.Text;

        this.lblMessage.Text = this.User.Identity.Name + ": Profile Saved";
    }
}
